<template>
  <ModalHeader>
    <ModalTitle>{{ $t(title) }}</ModalTitle>
  </ModalHeader>
  <ModalBody>
    <div class="text-sm text-gray-600">
      {{ $t(description) }}
    </div>
  </ModalBody>
  <ModalFooter>
    <button
      :disabled="isLoading"
      class="btn btn-red"
      type="button"
      @click.prevent="$emit('confirm')"
    >
      {{ $t("app.actions.delete") }}
    </button>
    <button
      class="btn btn-outline-black"
      type="button"
      @click.prevent="$emit('close')"
    >
      {{ $t("app.actions.cancel") }}
    </button>
  </ModalFooter>
</template>

<script lang="ts" setup>
import ModalHeader from "@/js/contexts/shared/ui/components/modal/ModalHeader.vue";
import ModalBody from "@/js/contexts/shared/ui/components/modal/ModalBody.vue";
import ModalFooter from "@/js/contexts/shared/ui/components/modal/ModalFooter.vue";
import ModalTitle from "@/js/contexts/shared/ui/components/modal/ModalTitle.vue";

defineProps<{
  title: string;
  description: string;
  isLoading: boolean;
}>();

defineEmits<{
  close: [];
  confirm: [];
}>();
</script>
